Subject: Re: [X2Go-Dev] Bug#799: Same problem in Gentoo

From: Mihai Moldovan <[email-masked]>
Date: Mon, 27 Apr 2015 17:17:36 +0200

On 27.04.2015 02:34 PM, Bernard Cafarelli wrote:
> iproute2 3.19.0 is stable on most important arches now, and also has the 
> problem
> 
> If my git bisect went fine this is the commit where the command started 
> returning nothing:
> 
> commit 9db7bf15e22b6a1b8bc09c4a1e29571cbca55c94
> Author: Vadim Kochan <[email-masked]>
> Date:   Sun Jan 4 22:18:40 2015 +0200
> 
>      ss: Filtering logic changing, with fixes
> 
>      This patch fixes some filtering combinations issues which does not
>      work on the 'master' version:
> 
>          $ ss -4
>          shows inet & unix sockets, instead of only inet sockets
> 
>          $ ss -u
>          needs to specify 'state closed'
> 
>          $ ss src unix:*X11*
>          needs to specify '-x' shortcut for UNIX family
> 
>          $ ss -A all
>          shows only sockets with established states
> 
>      There might some other issues which was not observed.
> 
>      Also changed logic for calculating families, socket types and
>      states filtering. I think that this version is a little simpler
>      one. Now there are 2 predefined default tables which describes
>      the following maping:
> 
>          family  -> (states, dbs)
>          db      -> (states, families)
> 
>      Signed-off-by: Vadim Kochan <[email-masked]>
> 
> 
> I have not used the ss command much, but this does indeed look like an 
> iproute2 bug

Yep. Unfortunately it has no "real" bug tracker but a mailing list. I have been "too lazy" to create the necessary infrastructure to subscribe to yet another mailing list. Actually busy with other things.

Thanks for bisecting this!

Not sure that's the correct commit, but it may be related.

ss -u always returning "nothing" (at least on my system) is bad. I wonder how nobody noticed it yet?

I'll have to create an upstream bug report for this. It's been on my todo list for the past few days...

Mihai